import {
  appColors,
  appFonts,
  fontSizes,
  windowHeight,
  windowWidth,
} from "@src/themes";
import { StyleSheet } from "react-native";

const styles = StyleSheet.create({
  placeholder: {
    width: "92%",
    alignSelf: "center",
    justifyContent: "center",
    alignItems: "center",
    backgroundColor: appColors.loaderPrimary,
    borderRadius: windowHeight(10),
    marginVertical: windowHeight(8),
  },
  adView: {
    width: "100%",
    alignSelf: "center",
    borderWidth: 1,
    borderColor: appColors.light,
    borderRadius: windowHeight(10),
    paddingTop: windowHeight(5),
    overflow: "hidden",
    alignItems: "center",
    alignContent: "center",
  },

  headline: {
    fontSize: fontSizes.FONT22,
    fontFamily: appFonts.medium,
    marginBottom: windowHeight(5),
  },
  media: {
    width: "100%",
    marginVertical: windowHeight(5),
  },

  ctaButton: {
    width: windowWidth(350),
    marginTop: windowHeight(8),
    paddingVertical: windowHeight(5),
    paddingHorizontal: windowHeight(10),
    borderRadius: windowHeight(5),
    backgroundColor: appColors.catButton,
    alignSelf: "flex-start",
  },
  ctaText: {
    textAlign: "center",
    color: appColors.whiteColor,
    fontSize: fontSizes.FONT20,
    fontFamily: appFonts.medium,
  },
});

export default styles;
